!-----------------------------------------------------------------------
!   INCLUDE 'dimphys.h'

! ngridmx : number of horizontal grid points
! note: the -1/jjm term will be 0; unless jj=1
      integer, parameter :: ngridmx = (2+(jjm-1)*iim - 1/jjm)   
! nlayermx : number of atmospheric layers
      integer, parameter :: nlayermx = llm 
! nsoilmx : number of subterranean layers
      !integer, parameter :: nsoilmx = 4 ! for a test 
      integer, parameter :: nsoilmx = 18 ! for z1=0.0002 cm, depth = 18 m => mars case 
      !integer, parameter :: nsoilmx = 13 ! for z1=0.03 cm, depth = 104.8 m => earth case
!-----------------------------------------------------------------------

      common/dimphys/cursor
      integer cursor  !! this is the position of point 1 on the globe
                      !! it is 1 obviously for sequential runs
                      !! but might differ for paraller runs
                      !! it is used in phyetat0 mostly

